Get Payment
curl --request GET \
--url https://api.zebedee.io/v0/gamertag/transaction/{id} \
--header 'apikey: <apikey>'import requests
url = "https://api.zebedee.io/v0/gamertag/transaction/{id}"
headers = {"apikey": "<apikey>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<apikey>'}};
fetch('https://api.zebedee.io/v0/gamertag/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Fetched charge.",
"success": true,
"data": {
"id": "903883f2-67d9-4707-a21b-ddff004fe041",
"receiverId": "ec9b38d5-b126-4307-9d1e-8aa0dfab5d7e",
"amount": "15000",
"fee": "1000",
"unit": "msats",
"processedAt": "2023-01-04T15:59:16.993Z",
"confirmedAt": "2023-01-04T15:59:16.989Z",
"comment": "Sending to ZBD Gamertag",
"status": "TRANSACTION_STATUS_COMPLETED"
}
}
Gamertags
Get Payment
Retrieve all data about a Payment sent to ZBD User.
GET
/
v0
/
gamertag
/
transaction
/
{id}
Get Payment
Description
In order to get data on payments sent to ZBD Gamertags, you can use this endpoint. The data payload returned will inform you of thestatus of that transaction as well as any associated fees.
Usage
The idea here is to use thetransactionId property returned from the Pay to ZBD Gamertag response, and use that ID to fetch the latest details of the given Payment.
Configuration
Path Parameters
Payment Transaction ID
Header Parameters
ZBD Project API Key
{
"message": "Fetched charge.",
"success": true,
"data": {
"id": "903883f2-67d9-4707-a21b-ddff004fe041",
"receiverId": "ec9b38d5-b126-4307-9d1e-8aa0dfab5d7e",
"amount": "15000",
"fee": "1000",
"unit": "msats",
"processedAt": "2023-01-04T15:59:16.993Z",
"confirmedAt": "2023-01-04T15:59:16.989Z",
"comment": "Sending to ZBD Gamertag",
"status": "TRANSACTION_STATUS_COMPLETED"
}
}
Was this page helpful?
⌘I